Name:           libaudec
Version:        0.3.4
Release:        1%{?dist}
Summary:        lib audio decoder

License:        GPLv3
URL:            https://git.zrythm.org/zrythm/libaudec
Source0:        https://git.zrythm.org/zrythm/%{name}/archive/v%{version}.tar.gz

BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel



%description
libaudec (lib audio decoder) is a wrapper library over minimp3, sndfile and libsamplerate for reading
and resampling audio files, based on Robin Gareus' `audio_decoder` code.

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Summary: Development files for libaudec

%description devel
libaudec (lib audio decoder) is a wrapper library over minimp3, sndfile and libsamplerate for reading
and resampling audio files, based on Robin Gareus' `audio_decoder` code.

Provides files for building applications against libaudec.

%prep
%autosetup -Sgit -n%{name}

%build
%meson
%meson_build


%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/audec
%{_libdir}/%{name}.*

%files devel
%{_libdir}/pkgconfig/audec.pc
%{_includedir}/audec/audec.h



%changelog
* Tue Aug 17 2021 Olivier Samyn <code@oleastre.be> - 0.3.4-1
- New upstream release

* Wed Sep 30 2020 Olivier Samyn 🎻 <code@oleastre.be>
- Initial fedora package
